/*
	Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#ifndef __DIVER_H__
#define __DIVER_H__

#include <iostream>
#include <string>

#include "SDL.h"
#include "SDL_image.h"

#include "window.h"
#include "images.h"
#include "plane.h"

using namespace std;

class Diver {
	public:
		Diver(Images &graphics, int x, int y, int random);
		~Diver();
		void draw(Window &window);
		int move(Window &window, Plane &plane, float lag);
		void reset(int random);
		void makeInvisible();
		int openChute(Uint16 &mouseX, Uint16 &mouseY);
		int chuteIsOpen();
		Diver *getNext();
		void setNext(Diver *nextFred);
		void attemptJump(int planePos);
	private:
		SDL_Surface *sprite[2];
		Images *images;
		int startx, starty, visible, firstFrame, image, jumped, jumpPos; 
		float xpos, ypos;
		// horizontal and vertical speed
		float hspeed, vspeed;
		float forward;
		Diver *next;
};

#endif
