/*
	Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#ifndef __PLANE_H__
#define __PLANE_H__

#include <iostream>
#include <string>

#include "SDL.h"
#include "SDL_image.h"

#include "window.h"
#include "images.h"

using namespace std;

class Plane {
	public:
		Plane(Images &graphics, int x, int y);
		~Plane();
		void reset();
		void draw(Window &window);
		int move(Window &window, float lag);
		void makeInvisible();
		int isVisible();
		int getX();
	private:
		SDL_Surface *sprite;
		Images *images;
		int startx, starty, visible, firstFrame, image;
		float xpos, ypos, hspeed;
};

#endif
