/*
	Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#ifndef __SCORING_H__
#define __SCORING_H__

#include <iostream>
#include <string>

#include "SDL.h"
#include "SDL_ttf.h"

#include "fred.h"
#include "window.h"

using namespace std;

class Scoring {
	public:
		Scoring(const string &DATADIR);
		~Scoring();
		void add(int points);
		void draw(Window &window);
		void reset();
	private:
		string fontName;
		string message;
		TTF_Font *font;
		SDL_Color gray;
		SDL_Surface *text;
		int textx, texty;
		int score;
		int topScore;
};

#endif
