/*
   Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#include "scoring.h"

Scoring::Scoring(const string &DATADIR) {
	fontName = "/usr/share/fonts/TTF/dejavu/DejaVuSans.ttf";
	font = NULL;
	gray.r = 0xed;
	gray.g = 0xed;
	gray.b = 0xed;
	text = NULL;

	textx = 10; 
	texty = 365;
	score = 0;
	topScore = 0;

	// Open score font
	if((font = TTF_OpenFont(fontName.c_str(), 14)) == NULL)  {
		cerr << "Couldn't load " << fontName << ": " << SDL_GetError() << endl;
		throw;
	}
}

Scoring::~Scoring() {
}

void Scoring::add(int points) {
	score += points;
	if(score > topScore) {
		topScore = score;
	}
}


void Scoring::draw(Window &window) {
	char temp[20];
	int topx;

	// Draw score
	sprintf(temp, "Score: %d", score);
	message = temp;
	text = render(font, message, gray);
	window.drawIMG(text, textx, texty, text->w, text->h);
	topx = text->w + 20;
	SDL_FreeSurface(text);

	// Draw top score
	sprintf(temp, "Top Score: %d", topScore);
	message = temp;
	text = render(font, message, gray);
	window.drawIMG(text, topx, texty, text->w, text->h);
	SDL_FreeSurface(text);
}

void Scoring::reset() {
	score = 0;
}
